﻿using System.Collections;
using AutoCompleteTextBox.Editors;
using NonaBGS.EDDB;

namespace NonaBGS.UI {
    public class StationSuggestionProvider : ISuggestionProvider {
        private int system_id = 0;
        private Stations stations = null;

        public StationSuggestionProvider(Stations stations, int system_id) {
            this.system_id = system_id;
            this.stations = stations;
        }

        public IEnumerable GetSuggestions(string filter) {
            return stations.StationNamesBySystemId(system_id, filter);
        }
    }
}
